--
-- Licensed to the Apache Software Foundation (ASF) under one or more
-- contributor license agreements.  See the NOTICE file distributed with
-- this work for additional information regarding copyright ownership.
-- The ASF licenses this file to You under the Apache License, Version 2.0
-- (the "License"); you may not use this file except in compliance with
-- the License.  You may obtain a copy of the License at
--
--    http://www.apache.org/licenses/LICENSE-2.0
--
-- Unless required by applicable law or agreed to in writing, software
-- distributed under the License is distributed on an "AS IS" BASIS,
-- WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-- See the License for the specific language governing permissions and
-- limitations under the License.
--
-- q41 --
select
   distinct(i_product_name)
from
   item i1
where
   i_manufact_id between 742
   and 742 + 40
   and (
      select
         count(*) as item_cnt
      from
         item
      where
         (
            i_manufact = i1.i_manufact
            and (
               (
                  i_category = 'Women'
                  and (
                     i_color = 'orchid'
                     or i_color = 'papaya'
                  )
                  and (
                     i_units = 'Pound'
                     or i_units = 'Lb'
                  )
                  and (
                     i_size = 'petite'
                     or i_size = 'medium'
                  )
               )
               or (
                  i_category = 'Women'
                  and (
                     i_color = 'burlywood'
                     or i_color = 'navy'
                  )
                  and (
                     i_units = 'Bundle'
                     or i_units = 'Each'
                  )
                  and (
                     i_size = 'N/A'
                     or i_size = 'extra large'
                  )
               )
               or (
                  i_category = 'Men'
                  and (
                     i_color = 'bisque'
                     or i_color = 'azure'
                  )
                  and (
                     i_units = 'N/A'
                     or i_units = 'Tsp'
                  )
                  and (
                     i_size = 'small'
                     or i_size = 'large'
                  )
               )
               or (
                  i_category = 'Men'
                  and (
                     i_color = 'chocolate'
                     or i_color = 'cornflower'
                  )
                  and (
                     i_units = 'Bunch'
                     or i_units = 'Gross'
                  )
                  and (
                     i_size = 'petite'
                     or i_size = 'medium'
                  )
               )
            )
         )
         or (
            i_manufact = i1.i_manufact
            and (
               (
                  i_category = 'Women'
                  and (
                     i_color = 'salmon'
                     or i_color = 'midnight'
                  )
                  and (
                     i_units = 'Oz'
                     or i_units = 'Box'
                  )
                  and (
                     i_size = 'petite'
                     or i_size = 'medium'
                  )
               )
               or (
                  i_category = 'Women'
                  and (
                     i_color = 'snow'
                     or i_color = 'steel'
                  )
                  and (
                     i_units = 'Carton'
                     or i_units = 'Tbl'
                  )
                  and (
                     i_size = 'N/A'
                     or i_size = 'extra large'
                  )
               )
               or (
                  i_category = 'Men'
                  and (
                     i_color = 'purple'
                     or i_color = 'gainsboro'
                  )
                  and (
                     i_units = 'Dram'
                     or i_units = 'Unknown'
                  )
                  and (
                     i_size = 'small'
                     or i_size = 'large'
                  )
               )
               or (
                  i_category = 'Men'
                  and (
                     i_color = 'metallic'
                     or i_color = 'forest'
                  )
                  and (
                     i_units = 'Gram'
                     or i_units = 'Ounce'
                  )
                  and (
                     i_size = 'petite'
                     or i_size = 'medium'
                  )
               )
            )
         )
   ) > 0
order by
   i_product_name
limit
   100;
